﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using VarePortableClassLibrary;
using System.ServiceModel.Web;                      // Skal med for REST format

namespace wcfdemo_WebApplication
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IVareService" in both code and config file together.
    [ServiceContract]
    public interface IVareService
    {
        [OperationContract]
        [WebInvoke(Method = "GET")]
        void SaveVarekartotek();

        [OperationContract]
        [WebInvoke(Method = "GET")]
        void LoadVarekartotek();

        
        [OperationContract]
        //[ServiceKnownType(typeof(Vare))]
        //[ServiceKnownType(typeof(Varekartotek))]
        [WebInvoke(Method = "GET")]
        Varekartotek HentVarekartotek();

        [OperationContract]
        //[ServiceKnownType(typeof(Vare))]
        //[ServiceKnownType(typeof(Varekartotek))]
        [WebInvoke(Method = "GET")]
        Varekartotek HentVarekartotekMedNogleVarer();

        [OperationContract]
        [WebInvoke(Method = "GET")]
        void OpretTestVarer();

        //[OperationContract]
        //Vare OpretVare(int varenr, string betegnelse, float salgsEnhedsPris, string enhed, float indkøbsEnhedsPris, int minimumAntal);
        
        [OperationContract]
        [WebInvoke(Method = "GET")]
        //        [ServiceKnownType(typeof(Vare))]
        Vare FindVarePåVarenr(int varenr);

        [OperationContract]
//        [ServiceKnownType(typeof(List<Vare>))]
        [WebInvoke(Method = "GET")]
        List<Vare> HentVarerMedAntalUnderMinimum();

//        [OperationContract]
////        [ServiceKnownType(typeof(List<Vare>))]
//        Vare[] HentVarerMedAntalUnderMinimum2();
        
        [OperationContract]
//        [ServiceKnownType(typeof(Vare[]))]
        [WebInvoke(Method = "GET")]
        Vare[] HentAlleVarer();                            // her array
    }
}
