﻿using System;
namespace VarePortableClassLibrary
{
    public interface IVare
    {
        int AntalPåLager { get; }
        string Betegnelse { get; set; }
        string Enhed { get; set; }
        float IndkøbsEnhedsPris { get; set; }
        double Indkøbsværdi();
        int IndkøbtAntal { get; }
        int MinimumAntal { get; set; }
        void RegistrerVarerIndkøbt(int antal);
        void RegistrerVarerSolgt(int antal);
        float SalgsEnhedsPris { get; set; }
        double Salgsværdi();
        int SolgtAntal { get; }
        int Varenr { get; }
    }
}
