﻿//<%@ ServiceHost Language="C#" Debug="true" Service="wcfdemo_WebApplication.VareService" CodeBehind="VareService.svc.cs" %>
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using VarePortableClassLibrary;

namespace wcfdemo_WebApplication
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "VareService" in code, svc and config file together.
    //[KnownType(typeof(Varekartotek))]
    [KnownType(typeof(Vare[]))]
    //[KnownType(typeof(List<Vare>))]
    [System.ServiceModel.Activation.AspNetCompatibilityRequirements(RequirementsMode = System.ServiceModel.Activation.AspNetCompatibilityRequirementsMode.Required)]
    [ServiceBehavior(InstanceContextMode = InstanceContextMode.Single)]
    public class VareService : IVareService
    {



        private IVarekartotek _varekartoteket;
        private IVarekartotek Varekartoteket
        {
            get
            {
                if (_varekartoteket == null)
                {
                    _varekartoteket = new Varekartotek();
                    _varekartoteket.OpretTestVarer();
                }
                return _varekartoteket;
            }
            set
            {
                if ((object.ReferenceEquals(this._varekartoteket, value) != true))
                {
                    this._varekartoteket = value;
                }
            }
        }




        public void SaveVarekartotek()
        {
            string filename = System.Web.Hosting.HostingEnvironment.MapPath("/Varekartotek.xml");
            System.IO.FileStream outStream = new System.IO.FileStream(filename, System.IO.FileMode.Create);
            DataContractSerializer serializer = new DataContractSerializer(typeof(Varekartotek));
            serializer.WriteObject(outStream, Varekartoteket);
            outStream.Close();
        }

        public void LoadVarekartotek()
        {
            string filename = System.Web.Hosting.HostingEnvironment.MapPath("/Varekartotek.xml");
            System.IO.FileStream inStream = new System.IO.FileStream(filename, System.IO.FileMode.Open);
            DataContractSerializer serializer = new DataContractSerializer(typeof(Varekartotek));
            _varekartoteket = null;
            _varekartoteket = serializer.ReadObject(inStream) as Varekartotek;
            inStream.Close();
        }



        public VarePortableClassLibrary.Varekartotek HentVarekartotek()
        {
            return Varekartoteket as Varekartotek;
        }
        public VarePortableClassLibrary.Varekartotek HentVarekartotekMedNogleVarer()
        {
            Varekartotek vk = new Varekartotek();
            //vk.Varesamling = new List<VareData>();
            //VarePortableClassLibrary.IVare[] ivarerne = Varekartoteket.HentVarerMedAntalUnderMinimum2();
            //foreach (IVare v in ivarerne)
            //{
            //    vk.Varesamling.Add(v as Vare);
            //}

            return vk;
        }

        public void OpretTestVarer()
        {
            //_vareartoteket = new Varekartotek();
            Varekartoteket.OpretTestVarer();
        }

        public VarePortableClassLibrary.Vare OpretVare(int varenr, string betegnelse, float salgsEnhedsPris, string enhed, float indkøbsEnhedsPris, int minimumAntal)
        {
            return Varekartoteket.OpretVare(varenr, betegnelse, salgsEnhedsPris, enhed, indkøbsEnhedsPris, minimumAntal) as Vare;
        }

        [ServiceKnownType(typeof(Vare))]
        public VarePortableClassLibrary.Vare FindVarePåVarenr(int varenr)
        {
            return Varekartoteket.FindVarePåVarenr(varenr) as Vare;//.GetVareDataCopy();
        }

        public List<Vare> HentVarerMedAntalUnderMinimum()
        {
//            List<Vare> varer = Varekartoteket.HentVarerMedAntalUnderMinimum().ConvertAll(o => (Vare)o);
            List<Vare> varer = Varekartoteket.HentVarerMedAntalUnderMinimum().ConvertAll(o => o as Vare); //o.GetVareDataCopy());
            return varer;
        }

        //public Vare[] HentVarerMedAntalUnderMinimum2()
        //{
        //    VarePortableClassLibrary.IVare[] ivarerne  = Varekartoteket.HentVarerMedAntalUnderMinimum();
        //    VarePortableClassLibrary.Vare[] varerne = ivarerne as Vare[];
        //    return varerne;
        //}

        public VarePortableClassLibrary.Vare[] HentAlleVarer()
        {
            VarePortableClassLibrary.IVare[] ivarerne = Varekartoteket.HentAlleVarer();
            List<Vare> dl = new List<Vare>();
            foreach (IVare v in ivarerne)
            {
                dl.Add(v as Vare);
            }
            return dl.ToArray();
        }

    }
}
